license_plate_api_iceland
====================

Dart-pakki til ad fletta upp taeknilegum upplysingum um okutaeki sem skrad eru her a landi med leyfismerki theirra

`license_plate_api_iceland` veitir einfaldan hatt til ad finna upplysingar um okutaeki fra leyfismerki (skraningarnumer)
af bil skradur a Islandi

Til thess tharf notandanafn og lykilord, sem er adgengilegt okeypis a http://www.skraningarnumer.is/

## English

A Dart package for looking up technical details on vehicles registered in iceland by their license plate

`license_plate_api_iceland` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in iceland

This requires a username and password, which is available for free from http://www.skraningarnumer.is/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_iceland/license_plate_api_iceland.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.skraningarnumer.is/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.skraningarnumer.is/
